• Diese Seite verwendet Cookies. Indem du diese Website weiterhin nutzt, erklärst du dich mit der Verwendung von Cookies einverstanden. Erfahre mehr

Nvidia Zotac Gforce 1660 AMP

Django

Well-Known Member
Themenstarter #1
Halo liebe FReeBSD-Gemeinde


Habe mir eine neue Grafikkarte zugelegt , eine Zotac Gforce GTX 1660.
Vorher hatte ich eine GTX 1600

Ich bekomme Gnome oder KDE nicht zum Laufen.
Beim startx , schwarzer Bildschirm.


Habe von Nvidia diesen Treiber für FreeBSD heruntergeladen: https://www.nvidia.de/Download/driverResults.aspx/145285/de

Beim Compelieren kommt auch noch die Fehlermeldung stdarg.h schon vorhanden.

Hat jemand schon eine GTX 1660 zum Laufen bekommen ?

Der aktuelle nvidia-driver aus den pkg erzeugt ebenfalls einen schwarzem Bildschirm.

Unter Linux lief es sofort *((((
 

Django

Well-Known Member
Themenstarter #2
Der Bildschirm ist ein
Halo liebe FReeBSD-Gemeinde


Habe mir eine neue Grafikkarte zugelegt , eine Zotac Gforce GTX 1660.
Vorher hatte ich eine GTX 1600

Ich bekomme Gnome oder KDE nicht zum Laufen.
Beim startx , schwarzer Bildschirm.


Habe von Nvidia diesen Treiber für FreeBSD heruntergeladen: https://www.nvidia.de/Download/driverResults.aspx/145285/de

Beim Compelieren kommt auch noch die Fehlermeldung stdarg.h schon vorhanden.

Hat jemand schon eine GTX 1660 zum Laufen bekommen ?

Der aktuelle nvidia-driver aus den pkg erzeugt ebenfalls einen schwarzem Bildschirm.

Unter Linux lief es sofort *((((

Der Bildschirm ist ein BenQ HDMI EL2870EU Ultra HD . Ich würde Gnome oder KDE gerne unter UHD laufen lassen
 

mr44er

moderater Moderator
Mitarbeiter
#3
Hättest du nicht machen müssen, das genügt:
Code:
#ee /boot/loader.conf 
-> linux64_load="YES"
#kldload linux64
#pkg install nvidia-driver nvidia-xconfig nvidia-settings
#ee /etc/rc.conf
-> kld_list="nvidia-modeset"
#kldload nvidia-modeset
#nvidia-xconfig
und dann hier bei KDE weiterlesen.

/proc muss gemountet sein und hald bzw. dbus gestartet. Und dann muss noch dein normaler Benutzer die .xinitrc haben.
 

Yamagi

Possessed With Psi Powers
Mitarbeiter
#4
Aber unterstützt der Treiber in den Ports denn überhaupt die relativ neue 1660? Der ist ja schon recht alt... Trotzdem wäre es besser den Port zu aktualisieren, anstatt den Treiber an den Ports vorbei zu installieren. Das macht fast sicher großen Ärger.

Davon abgesehen wäre erstmal interessant:

Beim Compelieren kommt auch noch die Fehlermeldung stdarg.h schon vorhanden.
Hat er denn letztendlich gebaut oder nicht?

Der aktuelle nvidia-driver aus den pkg erzeugt ebenfalls einen schwarzem Bildschirm.
@mr44er sagt es schon. Du musst nvidia-modeset laden, nicht einfach nur nvidia. Vielleicht war es das schon. Ansonsten wären die Logs hilfreich, also die dmesg und die Xorg.0.log oder so ähnlich.
 

mr44er

moderater Moderator
Mitarbeiter
#5
Aber unterstützt der Treiber in den Ports denn überhaupt die relativ neue 1660?
Stimmt :eek:, die ist ja brandneu. -> 14. Mrz. 2019

Also dann so:
Code:
#ee /boot/loader.conf
-> linux64_load="YES"
#kldload linux64
#portmaster -d x11/nvidia-driver x11/nvidia-xconfig x11/nvidia-settings
#ee /etc/rc.conf
-> kld_list="nvidia-modeset"
#kldload nvidia-modeset
#nvidia-xconfig
 

mr44er

moderater Moderator
Mitarbeiter
#7
Stimmt nochmal...herrje, dann heißts wohl warten... @Django

Nachtrag:
Laut Nvidia braucht man mindestens Version 430.09
https://www.nvidia.de/Download/driverResults.aspx/145285/de
Nicht ganz klar hierbei. Wenn man bei nvidia.de den FreeBSD-Treiber direkt bezieht für genau diese Karte, bekommt man 418.56 vom 20.3.2019 angeboten, bei 'Unterstützte' steht sie da schon drin. :confused:
Ich habe das auch einmal durchexerziert, als ich mal das gleiche Problem hatte.

Ah...sehe gerade ab 418.56 geht die GTX 1660, ab 430.09 die GTX 1660 Ti ;)

Installation instructions: Once you have downloaded the driver, change to the directory containing the driver package and install the driver by running, as root, tar xzf NVIDIA-FreeBSD-x86_64-418.56.tar.gz && cd NVIDIA-FreeBSD-x86_64-418.56 && make install

Then, edit your X configuration file so that the NVIDIA X driver will be used; this can normally be done by running nvidia-xconfig
Sollte so funktionieren, fehlende Abhängigkeiten kann man immer noch hinbiegen.

Nachtrag2, GTX 1660 definitiv erst ab 418.43:
1556538149987.png
 
Zuletzt bearbeitet:

Django

Well-Known Member
Themenstarter #8
Stimmt nochmal...herrje, dann heißts wohl warten... @Django

Nachtrag:

https://www.nvidia.de/Download/driverResults.aspx/145285/de
Nicht ganz klar hierbei. Wenn man bei nvidia.de den FreeBSD-Treiber direkt bezieht für genau diese Karte, bekommt man 418.56 vom 20.3.2019 angeboten, bei 'Unterstützte' steht sie da schon drin. :confused:
Ich habe das auch einmal durchexerziert, als ich mal das gleiche Problem hatte.

Ah...sehe gerade ab 418.56 geht die GTX 1660, ab 430.09 die GTX 1660 Ti ;)



Sollte so funktionieren, fehlende Abhängigkeiten kann man immer noch hinbiegen.

Nachtrag2, GTX 1660 definitiv erst ab 418.43:
Anhang anzeigen 3831


Hallo,



Ich bekomme bei make install folgende Fehlermeldung:

In file included from nvidia-acpi.c:12:
./os-interface.h:27:10: fatal error: 'stdarg.h' file not found
#include <stdarg.h>

1 error generated

Stop.

make[2] stopped in .../NVIDIA-FreeBSD-x86_64-418.56/src/nvidia


Stop:
make[2] stopped in .../NVIDIA-FreeBSD-x86_64-418.56/src/nvidia


Der letzte Änderung bei den nvidia ports scheint vom Januar 2019 zu sein. Wird dieser Port überhaupt noch gepflegt ???
 

Django

Well-Known Member
Themenstarter #9
Hallo,



Ich bekomme bei make install folgende Fehlermeldung:

In file included from nvidia-acpi.c:12:
./os-interface.h:27:10: fatal error: 'stdarg.h' file not found
#include <stdarg.h>

1 error generated

Stop.

make[2] stopped in .../NVIDIA-FreeBSD-x86_64-418.56/src/nvidia


Stop:
make[2] stopped in .../NVIDIA-FreeBSD-x86_64-418.56/src/nvidia


Der letzte Änderung bei den nvidia ports scheint vom Januar 2019 zu sein. Wird dieser Port überhaupt noch gepflegt ???


Diese Fehlermeldung hatt ich auch schon beim NVIDIA-FreeBSD-x86_64-418.43
 

mr44er

moderater Moderator
Mitarbeiter
#10
In file included from nvidia-acpi.c:12:
./os-interface.h:27:10: fatal error: 'stdarg.h' file not found
Mit Vermutung geraten: du brauchst den FreeBSD-Sourcecode, damit nvidia mit ACPI baut.
Probier ein 'make config' vorher und wähle ACPI ab, das sollte ohne Source gehen. Dann nochmal 'make install'

Wird dieser Port überhaupt noch gepflegt ???
Es kommt immer eine neue Version des Treibers raus, was der 'Pflege' entspricht.
Nicht verwechseln: Ports sind FreeBSD und von nvidia erhältst du Quellcode mit proprietärem Blob.
 

Django

Well-Known Member
Themenstarter #13
Hallo Cabriofahrer,,

habe in meinem Urlaub erstmal die Sonne genossen.

Ja, ich habe die aktuellen Sourcen installiert und auch erfolgreich kompiliert.

Allerdings bei startx nur ein schwarzer Bildschirm mit Cursor oben links.

Tja. Die Geschichte ist nicht so einfach.

Ob der Treiber bei Nvidia jemals auf FreeBSD gestestet wurde, wage ich zu bezweifeln. :)

Ok, kann der Bildschirm auch ein Problem sein ? BenQ, HDMI und UltraHD . 28"
 

Yamagi

Possessed With Psi Powers
Mitarbeiter
#15
Einmal die Ausgabe von kldstat und die /var/log/Xorg.0.log bitte. Sonst ist es nur Stochern in der Suppe.
 

Django

Well-Known Member
Themenstarter #17
Hat bischzen gedauert. habe den 1.Mai genossen ...

Hallo Sterum, habe Nividia Treiber kompiliert.

Hallo Yamagi

kldstat:

Id Refs Address Size Name
1 44 0xffffffff80200000 243cd00 kernel
2 1 0xffffffff8263d000 3a9a10 zfs.ko
3 2 0xffffffff829e7000 a4f0 opensolaris.ko
4 1 0xffffffff829f2000 16afb78 nvidia.ko
5 2 0xffffffff840a2000 a6b50 linux.ko
6 3 0xffffffff84149000 8df8 linux_common.ko
7 1 0xffffffff84152000 1ead0 geom_eli.ko
8 1 0xffffffff84171000 c7e0 aesni.ko
9 1 0xffffffff84511000 2678 intpm.ko
10 1 0xffffffff84514000 b10 smbus.ko
11 1 0xffffffff84515000 1800 uhid.ko
12 1 0xffffffff84517000 23a8 ums.ko
13 1 0xffffffff8451a000 326f8 pf.ko
14 1 0xffffffff8454d000 33c50 linux64.ko


var/log/Xorg.0.log


[ 2370.827]
X.Org X Server 1.18.4
Release Date: 2016-07-19
[ 2370.827] X Protocol Version 11, Revision 0
[ 2370.828] Build Operating System: FreeBSD 12.0-RELEASE-p2 amd64
[ 2370.828] Current Operating System: FreeBSD DjangoBSD 12.0-RELEASE-p3 FreeBSD 12.0-RELEASE-p3 GENERIC amd64
[ 2370.828] Build Date: 10 January 2019 09:38:10AM
[ 2370.828]
[ 2370.828] Current version of pixman: 0.34.0
[ 2370.828] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[ 2370.828] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 2370.829] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 29 18:08:04 2019
[ 2370.829] (==) Using config file: "/etc/X11/xorg.conf"
[ 2370.829] (==) Using config directory: "/usr/local/etc/X11/xorg.conf.d"
[ 2370.829] (==) Using system config directory "/usr/local/share/X11/xorg.conf.d"
[ 2370.830] (==) ServerLayout "X.org Configured"
[ 2370.830] (**) |-->Screen "Screen0" (0)
[ 2370.830] (**) | |-->Monitor "Monitor0"
[ 2370.830] (**) | |-->Device "Card0"
[ 2370.830] (**) | |-->GPUDevice "Card0"
[ 2370.830] (**) |-->Input Device "Mouse0"
[ 2370.830] (**) |-->Input Device "Keyboard0"
[ 2370.830] (==) Automatically adding devices
[ 2370.830] (==) Automatically enabling devices
[ 2370.830] (==) Not automatically adding GPU devices
[ 2370.831] (==) Max clients allowed: 256, resource mask: 0x1fffff
[ 2370.831] (**) FontPath set to:
/usr/local/share/fonts/misc/,
/usr/local/share/fonts/TTF/,
/usr/local/share/fonts/OTF/,
/usr/local/share/fonts/Type1/,
/usr/local/share/fonts/100dpi/,
/usr/local/share/fonts/75dpi/,
/usr/local/share/fonts/misc/,
/usr/local/share/fonts/TTF/,
/usr/local/share/fonts/OTF/,
/usr/local/share/fonts/Type1/,
/usr/local/share/fonts/100dpi/,
/usr/local/share/fonts/75dpi/
[ 2370.831] (**) ModulePath set to "/usr/local/lib/xorg/modules"
[ 2370.831] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[ 2370.831] (WW) Disabling Mouse0
[ 2370.831] (WW) Disabling Keyboard0
[ 2370.831] (II) Loader magic: 0x413020
[ 2370.831] (II) Module ABI versions:
[ 2370.831] X.Org ANSI C Emulation: 0.4
[ 2370.831] X.Org Video Driver: 20.0
[ 2370.831] X.Org XInput driver : 22.1
[ 2370.831] X.Org Server Extension : 9.0
[ 2370.832] (--) PCI:*(0:1:0:0) 10de:2184:19da:3543 rev 161, Mem @ 0xfd000000/16777216, 0xc0000000/268435456, 0xd0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/65536
[ 2370.832] (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
[ 2370.832] (II) LoadModule: "glxservernvidia"
[ 2370.833] (WW) Warning, couldn't open module glxservernvidia
[ 2370.833] (II) UnloadModule: "glxservernvidia"
[ 2370.833] (II) Unloading glxservernvidia
[ 2370.833] (EE) Failed to load module "glxservernvidia" (module does not exist, 0)
[ 2370.833] (II) LoadModule: "glx"
[ 2370.834] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[ 2370.837] (II) Module glx: vendor="X.Org Foundation"
[ 2370.837] compiled for 1.18.4, module version = 1.0.0
[ 2370.837] ABI class: X.Org Server Extension, version 9.0
[ 2370.837] (==) AIGLX enabled
[ 2370.837] (II) LoadModule: "nvidia"
[ 2370.837] (II) Loading /usr/local/lib/xorg/modules/drivers/nvidia_drv.so
[ 2370.838] (II) Module nvidia: vendor="NVIDIA Corporation"
[ 2370.838] compiled for 4.0.2, module version = 1.0.0
[ 2370.838] Module class: X.Org Video Driver
[ 2370.838] (II) NVIDIA dlloader X Driver 418.56 Fri Mar 15 12:33:18 CDT 2019
[ 2370.838] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[ 2370.838] (--) Using syscons driver with X support (version 2.0)
[ 2370.838] (--) using VT number 9

[ 2370.839] (II) Loading sub module "fb"
[ 2370.839] (II) LoadModule: "fb"
[ 2370.839] (II) Loading /usr/local/lib/xorg/modules/libfb.so
[ 2370.840] (II) Module fb: vendor="X.Org Foundation"
[ 2370.840] compiled for 1.18.4, module version = 1.0.0
[ 2370.840] ABI class: X.Org ANSI C Emulation, version 0.4
[ 2370.840] (II) Loading sub module "wfb"
[ 2370.840] (II) LoadModule: "wfb"
[ 2370.841] (II) Loading /usr/local/lib/xorg/modules/libwfb.so
[ 2370.841] (II) Module wfb: vendor="X.Org Foundation"
[ 2370.841] compiled for 1.18.4, module version = 1.0.0
[ 2370.841] ABI class: X.Org ANSI C Emulation, version 0.4
[ 2370.842] (II) Loading sub module "ramdac"
[ 2370.842] (II) LoadModule: "ramdac"
[ 2370.842] (II) Module "ramdac" already built-in
[ 2370.842] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[ 2370.842] (**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
[ 2370.842] (==) NVIDIA(0): RGB weight 888
[ 2370.842] (==) NVIDIA(0): Default visual is TrueColor
[ 2370.842] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[ 2370.842] (**) NVIDIA(0): Enabling 2D acceleration
[ 2370.843] (II) Loading sub module "glxserver_nvidia"
[ 2370.843] (II) LoadModule: "glxserver_nvidia"
[ 2370.843] (II) Loading /usr/local/lib/xorg/modules/extensions/libglxserver_nvidia.so
[ 2370.854] (II) Module glxserver_nvidia: vendor="NVIDIA Corporation"
[ 2370.854] compiled for 4.0.2, module version = 1.0.0
[ 2370.854] Module class: X.Org Server Extension
[ 2370.854] (II) NVIDIA GLX Module 418.56 Fri Mar 15 12:31:45 CDT 2019
[ 2371.510] (II) NVIDIA(0): NVIDIA GPU GeForce GTX 1660 (TU116-A) at PCI:1:0:0 (GPU-0)
[ 2371.510] (--) NVIDIA(0): Memory: 6291456 kBytes
[ 2371.510] (--) NVIDIA(0): VideoBIOS: 90.16.25.00.c9
[ 2371.510] (II) NVIDIA(0): Detected PCI Express Link width: 16X
[ 2371.510] (II) NVIDIA(0): Validated MetaModes:
[ 2371.510] (II) NVIDIA(0): "NULL"
[ 2371.510] (II) NVIDIA(0): Virtual screen size determined to be 640 x 480
[ 2371.510] (WW) NVIDIA(0): Unable to get display device for DPI computation.
[ 2371.510] (==) NVIDIA(0): DPI set to (75, 75); computed from built-in default
[ 2371.510] (--) Depth 24 pixmap format is 32 bpp
[ 2371.511] (II) NVIDIA: Reserving 24576.00 MB of virtual memory for indirect memory
[ 2371.511] (II) NVIDIA: access.
[ 2371.574] (II) NVIDIA(0): Setting mode "NULL"
[ 2371.587] (==) NVIDIA(0): Disabling shared memory pixmaps
[ 2371.587] (==) NVIDIA(0): Backing store enabled
[ 2371.587] (==) NVIDIA(0): Silken mouse enabled
[ 2371.587] (==) NVIDIA(0): DPMS enabled
[ 2371.587] (WW) NVIDIA(0): Option "MetaMotes" is not used
[ 2371.587] (II) Loading sub module "dri2"
[ 2371.587] (II) LoadModule: "dri2"
[ 2371.587] (II) Module "dri2" already built-in
[ 2371.587] (II) NVIDIA(0): [DRI2] Setup complete
[ 2371.587] (II) NVIDIA(0): [DRI2] VDPAU driver: nvidia
[ 2371.588] (--) RandR disabled
[ 2371.596] (II) Initializing extension GLX
[ 2371.596] (II) Indirect GLX disabled.
[ 2371.814] (II) config/devd: probing input devices...
[ 2371.814] (II) config/devd: adding input device (null) (/dev/kbdmux)
[ 2371.815] (II) LoadModule: "kbd"
[ 2371.815] (II) Loading /usr/local/lib/xorg/modules/input/kbd_drv.so
[ 2371.815] (II) Module kbd: vendor="X.Org Foundation"
[ 2371.815] compiled for 1.18.4, module version = 1.9.0
[ 2371.815] Module class: X.Org XInput Driver
[ 2371.815] ABI class: X.Org XInput driver, version 22.1
[ 2371.815] (II) Using input driver 'kbd' for 'kbdmux'
[ 2371.815] (**) kbdmux: always reports core events
[ 2371.815] (**) kbdmux: always reports core events
[ 2371.815] (**) Option "Protocol" "standard"
[ 2371.815] (**) Option "XkbRules" "base"
[ 2371.815] (**) Option "XkbModel" "pc105"
[ 2371.815] (**) Option "XkbLayout" "us"
[ 2371.815] (**) Option "config_info" "devd:kbdmux"
[ 2371.815] (II) XINPUT: Adding extended input device "kbdmux" (type: KEYBOARD, id 6)
[ 2371.816] (II) config/devd: kbdmux is enabled, ignoring device ukbd0
[ 2371.816] (II) config/devd: kbdmux is enabled, ignoring device atkbd0
[ 2371.816] (II) config/devd: adding input device (null) (/dev/sysmouse)
[ 2371.816] (II) LoadModule: "mouse"
[ 2371.816] (II) Loading /usr/local/lib/xorg/modules/input/mouse_drv.so
[ 2371.816] (II) Module mouse: vendor="X.Org Foundation"
[ 2371.816] compiled for 1.18.4, module version = 1.9.3
[ 2371.816] Module class: X.Org XInput Driver
[ 2371.817] ABI class: X.Org XInput driver, version 22.1
[ 2371.817] (II) Using input driver 'mouse' for 'sysmouse'
[ 2371.817] (**) sysmouse: always reports core events
[ 2371.817] (**) Option "Device" "/dev/sysmouse"
[ 2371.817] (==) sysmouse: Protocol: "Auto"
[ 2371.817] (**) sysmouse: always reports core events
[ 2371.817] (==) sysmouse: Emulate3Buttons, Emulate3Timeout: 50
[ 2371.817] (**) sysmouse: ZAxisMapping: buttons 4 and 5
[ 2371.817] (**) sysmouse: Buttons: 5
[ 2371.817] (**) Option "config_info" "devd:sysmouse"
[ 2371.817] (II) XINPUT: Adding extended input device "sysmouse" (type: MOUSE, id 7)
[ 2371.817] (**) sysmouse: (accel) keeping acceleration scheme 1
[ 2371.817] (**) sysmouse: (accel) acceleration profile 0
[ 2371.817] (**) sysmouse: (accel) acceleration factor: 2.000
[ 2371.817] (**) sysmouse: (accel) acceleration threshold: 4
[ 2371.817] (II) sysmouse: SetupAuto: hw.iftype is 4, hw.model is 0
[ 2371.817] (II) sysmouse: SetupAuto: protocol is SysMouse
[ 2371.817] (II) config/devd: device /dev/ums0 already opened
[ 2371.817] (II) config/devd: device /dev/ums1 already opened
[ 2709.346] (WW) config/devd: devd socket is lost
[ 2709.347] (EE) config/devd: fail to connect to devd
[ 2709.519] (II) config/devd: terminating backend...
[ 2709.519] (II) UnloadModule: "mouse"
[ 2709.519] (II) UnloadModule: "kbd"
[ 2709.677] (II) NVIDIA(GPU-0): Deleting GPU-0
[ 2709.681] (II) Server terminated successfully (0). Closing log file.
 

sterum

Well-Known Member
#18
Schaut so aus als ob das nvidia-modeset.ko Modul nicht geladen ist. Versuch mal ein
Code:
kldload nvidia-modeset
oder halt kld_list="nvidia-modeset" in die /etc/rc.conf und dann neu starten. So wie oben schon von mr44er beschrieben
 

Django

Well-Known Member
Themenstarter #19
Hallo sterum. Hallo Yamagi,

Ja, es funktioniert jetzt !!!! 'Habe kldload nvidia-modeset durchgeführt und Gnome startet jetzt.

Vielen Dank allen für die echt tolle Hilfe !!!
 

Yamagi

Possessed With Psi Powers
Mitarbeiter
#20
Jo, man braucht seit einiger Zeit das nvidia-modeset Modul. Es steuert vereinfacht gesagt die Grafikaufgabe, ohne es rendert die GPU zwar wunderschöne Bilder, man sieht sie aber nicht.
 

Django

Well-Known Member
Themenstarter #21
Jo, man braucht seit einiger Zeit das nvidia-modeset Modul. Es steuert vereinfacht gesagt die Grafikaufgabe, ohne es rendert die GPU zwar wunderschöne Bilder, man sieht sie aber nicht.
nvidia-modeset stand aber bei mir vorher schon inder /boot/loader.conf


aesni_load="YES"
geom_eli_load="YES"
security.bsd.allow_destructive_dtrace=0
kern.geom.label.disk_ident.enable="0"
kern.geom.label.gptid.enable="0"
zfs_load="YES"


nvidia_load="YES"
nvidia_modeset_load="YES"



Wieso funktioniert nvidia-modeset in der loader.conf dann nicht ?
 

mr44er

moderater Moderator
Mitarbeiter
#22
Der Eintrag in der loader.conf für nvidia ist eine entweder/oder-Sache, nicht beides. Die Ladereihenfolge ist hierbei wichtig.

Dass nvidia_modeset infolge seiner Reaktion nachlädt (nvidia.ko) ist wieder ne andere Geschichte.
 
#23
Moin,

ich gebe euch den dringenden Tipp, die Module nicht über die /boot/loader.conf zu laden sondern über /etc/rc.conf:

kld_list="nvidia-modeset nvidia"
Ob da nun beide eingetragen werden müssen oder nicht, ist für mich egal. So funktioniert es. Und wenn ich ein bereits geladenes Modul nochmals lade, wird einfach nur mit einem "bereits geladen" quittiert.

Es gibt einen (noch nicht bestätigten, aber reproduzierbaren) Bug, der verhindert, dass alle Module geladen werden, wenn zu viele Module über /boot/loader.conf geladen werden. Bevor ihr da reinlauft und wie ich rätselt, was die Ursache ist...

Zudem sagt RC.CONF(5), dass es "much faster" ist, die Module über kld_list zu laden als über die /boot/loader.conf.